N=$1
G=$2
case $G in
"")
  G=0
esac

TMP=/tmp/dir.$$
mkdir -p $TMP
./gen.out -g$G $N > $TMP/GEN

cat << EOF
all: ${N}.out
	@( echo 0 && awk '{printf("%s +\n",\$\$1)}' $N.out && echo 'p' ) | dc

EOF
echo -n "OUT :="
while read id rest
do
  f=$(printf "%03d" $id)
  echo -n " $f.out"
done <  $TMP/GEN
echo
echo
cat << EOF
${N}.out: \$(OUT)
	@cat \$(OUT) > $N.out

clean::
	/bin/rm -f ${N}.out \$(OUT)

EOF

while read id rest
do
  f=$(printf "%03d" $id)
cat <<EOF  
$f.out:
	echo $id $rest | ../run.out > \$@

EOF
done <  $TMP/GEN
/bin/rm -rf $TMP